## libkleo 24.12.3

=== CMakeLists.txt ===
# SPDX-License-Identifier: CC0-1.0
# SPDX-FileCopyrightText: none
cmake_minimum_required(VERSION 3.16 FATAL_ERROR)
set(PIM_VERSION "6.3.3")

project(libkleo VERSION ${PIM_VERSION})

set(KF_MIN_VERSION "6.6.0")

if(WIN32)
  set(KF6_WANT_VERSION ${KF_MIN_VERSION})
  add_compile_definitions(GPG_ERR_ENABLE_GETTEXT_MACROS=1)
else ()
  set(KF6_WANT_VERSION ${KF_MIN_VERSION})
endif()

find_package(ECM ${KF6_WANT_VERSION} CONFIG REQUIRED)
set(CMAKE_MODULE_PATH ${ECM_MODULE_PATH})
set(CMAKE_MODULE_PATH ${CMAKE_CURRENT_SOURCE_DIR}/cmake/modules ${CMAKE_MODULE_PATH})


include(KDEInstallDirs)
include(KDECMakeSettings)
include(KDECompilerSettings NO_POLICY_SCOPE)

include(ECMGenerateExportHeader)
include(ECMSetupVersion)
include(ECMGenerateHeaders)

include(FeatureSummary)
include(ECMQtDeclareLoggingCategory)
include(ECMDeprecationSettings)
include(ECMFeatureSummary)
include(ECMAddQch)
include(KDEClangFormat)
include(KDEGitCommitHooks)

option(BUILD_QCH "Build API documentation in QCH format (for e.g. Qt Assistant, Qt Creator & KDevelop)" OFF)
add_feature_info(QCH ${BUILD_QCH} "API documentation in QCH format (for e.g. Qt Assistant, Qt Creator & KDevelop)")

set(LIBKLEO_LIB_VERSION ${PIM_VERSION})
set(QT_REQUIRED_VERSION "6.7.0")
set(GPGME_REQUIRED_VERSION "1.23.2")
set(GPG_ERROR_REQUIRED_VERSION "1.36")

find_package(Qt6 ${QT_REQUIRED_VERSION} CONFIG REQUIRED Widgets)
find_package(KF6I18n ${KF6_WANT_VERSION} CONFIG REQUIRED)
find_package(KF6Config ${KF6_WANT_VERSION} CONFIG REQUIRED)
find_package(KF6WidgetsAddons ${KF6_WANT_VERSION} CONFIG REQUIRED)
find_package(KF6ColorScheme ${KF6_WANT_VERSION} CONFIG REQUIRED)
find_package(KF6Completion ${KF6_WANT_VERSION} CONFIG REQUIRED)
find_package(KF6CoreAddons ${KF6_WANT_VERSION} CONFIG REQUIRED)
find_package(KF6Codecs ${KF6_WANT_VERSION} CONFIG REQUIRED)
find_package(KF6ItemModels ${KF6_WANT_VERSION} CONFIG REQUIRED)

find_package(Gpgmepp ${GPGME_REQUIRED_VERSION} CONFIG REQUIRED)
set_package_properties(Gpgmepp PROPERTIES DESCRIPTION "GpgME++ Library" URL "https://www.gnupg.org" TYPE REQUIRED PURPOSE "GpgME++ is required for OpenPGP support")
message(STATUS "GpgME++ Version ${Gpgmepp_VERSION}")
set(QGPGME_NAME "QGpgmeQt6")
if(Gpgmepp_VERSION VERSION_GREATER_EQUAL "1.24.0")
    set(GPGMEPP_ERROR_HAS_ASSTDSTRING 1)
endif()
find_package(${QGPGME_NAME} ${GPGME_REQUIRED_VERSION} CONFIG REQUIRED)

find_package(LibGpgError ${GPG_ERROR_REQUIRED_VERSION} REQUIRED)
set_package_properties(LibGpgError PROPERTIES
  TYPE REQUIRED
)

find_package(Boost 1.34.0)
set_package_properties(Boost PROPERTIES DESCRIPTION "Boost C++ Libraries" URL "https://www.boost.org" TYPE REQUIRED PURPOSE "Boost is required for building most KDEPIM applications")
ecm_setup_version(PROJECT VARIABLE_PREFIX LIBKLEO
                        VERSION_HEADER "${CMAKE_CURRENT_BINARY_DIR}/libkleo_version.h"
                        PACKAGE_VERSION_FILE "${CMAKE_CURRENT_BINARY_DIR}/KPim6LibkleoConfigVersion.cmake"
                        SOVERSION 6
)

########### Targets ###########
ecm_set_disabled_deprecation_versions(QT 6.3  KF 6.8.0)

remove_definitions(-DQT_NO_FOREACH)
add_definitions(-DQT_NO_EMIT)
########### CMake Config Files ###########
set(CMAKECONFIG_INSTALL_DIR "${KDE_INSTALL_CMAKEPACKAGEDIR}/KPim6Libkleo")

set(FIND_MODULES_INSTALL_DIR ${KDE_INSTALL_DATAROOTDIR}/KPim6Libkleo/find-modules/)


install(FILES
   ${CMAKE_CURRENT_BINARY_DIR}/libkleo_version.h
  DESTINATION ${KDE_INSTALL_INCLUDEDIR}/KPim6/Libkleo COMPONENT Devel
)

include_directories(${CMAKE_CURRENT_BINARY_DIR})

option(USE_UNITY_CMAKE_SUPPORT "Use UNITY cmake support (speedup compile time)" OFF)

set(COMPILE_WITH_UNITY_CMAKE_SUPPORT OFF)
if(USE_UNITY_CMAKE_SUPPORT)
    set(COMPILE_WITH_UNITY_CMAKE_SUPPORT ON)
    set(UNITY_BUILD ON)
endif()

configure_file(${CMAKE_CURRENT_SOURCE_DIR}/config-libkleo.h.in ${CMAKE_CURRENT_BINARY_DIR}/config-libkleo.h)

add_subdirectory(src)
if(BUILD_TESTING)
    add_subdirectory(autotests)
    add_subdirectory(tests)
endif()

ecm_qt_install_logging_categories(
        EXPORT LIBKLEO
        FILE libkleo.categories
        DESTINATION ${KDE_INSTALL_LOGGINGCATEGORIESDIR}
       )

ki18n_install(po)
if(BUILD_QCH)
    ecm_install_qch_export(
        TARGETS KPim6Libkleo_QCH
        FILE KPim6LibkleoQchTargets.cmake
        DESTINATION "${CMAKECONFIG_INSTALL_DIR}"
        COMPONENT Devel
   )
    set(PACKAGE_INCLUDE_QCHTARGETS "include(\"\${CMAKE_CURRENT_LIST_DIR}/KPim6LibkleoQchTargets.cmake\")")
endif()

configure_package_config_file(
  "${CMAKE_CURRENT_SOURCE_DIR}/KPimLibkleoConfig.cmake.in"
  "${CMAKE_CURRENT_BINARY_DIR}/KPim6LibkleoConfig.cmake"
  INSTALL_DESTINATION  ${CMAKECONFIG_INSTALL_DIR}
  PATH_VARS
      FIND_MODULES_INSTALL_DIR
)

install(FILES
  "${CMAKE_CURRENT_BINARY_DIR}/KPim6LibkleoConfig.cmake"
  "${CMAKE_CURRENT_BINARY_DIR}/KPim6LibkleoConfigVersion.cmake"
  DESTINATION "${CMAKECONFIG_INSTALL_DIR}"
  COMPONENT Devel
)

install(EXPORT KPim6LibkleoTargets DESTINATION "${CMAKECONFIG_INSTALL_DIR}" FILE KPim6LibkleoTargets.cmake NAMESPACE KPim6::)

file(GLOB installFindModuleFiles ${CMAKE_SOURCE_DIR}/cmake/modules/Find*.cmake)
install(FILES ${installFindModuleFiles} DESTINATION ${FIND_MODULES_INSTALL_DIR})

ecm_feature_summary(WHAT ALL FATAL_ON_MISSING_REQUIRED_PACKAGES)

# add clang-format target for all our real source files
file(GLOB_RECURSE ALL_CLANG_FORMAT_SOURCE_FILES 
src/*.cpp src/*.h 
tests/*.cpp tests/*.h
autotests/*.cpp autotests/*.h
)
kde_clang_format(${ALL_CLANG_FORMAT_SOURCE_FILES})
kde_configure_git_pre_commit_hook(CHECKS CLANG_FORMAT)

=== autotests/CMakeLists.txt ===
# SPDX-License-Identifier: CC0-1.0
# SPDX-FileCopyrightText: none
remove_definitions(-DQT_NO_CAST_FROM_ASCII)

include(ECMAddTests)

find_package(Qt6Test ${QT_REQUIRED_VERSION} CONFIG QUIET)

if(NOT TARGET Qt::Test)
    message(STATUS "Qt6Test not found, autotests will not be built.")
    return()
endif()

ecm_add_test(
    flatkeylistmodeltest.cpp
    abstractkeylistmodeltest.cpp
    TEST_NAME flatkeylistmodeltest
    LINK_LIBRARIES KPim6::Libkleo Qt::Test
)

ecm_add_test(
    hierarchicalkeylistmodeltest.cpp
    abstractkeylistmodeltest.cpp
    abstractkeylistmodeltest.h
    TEST_NAME hierarchicalkeylistmodeltest
    LINK_LIBRARIES KPim6::Libkleo Qt::Test
)

ecm_add_test(
    keyresolvercoretest.cpp
    keyresolvercoretest.qrc
    TEST_NAME keyresolvercoretest
    LINK_LIBRARIES KPim6::Libkleo Qt::Test
)

ecm_add_tests(
    editdirectoryservicedialogtest.cpp
    LINK_LIBRARIES KPim6::Libkleo KF6::WidgetsAddons Qt::Widgets Qt::Test
)

ecm_add_tests(
    keyselectioncombotest.cpp
    keyserverconfigtest.cpp
    newkeyapprovaldialogtest.cpp
    LINK_LIBRARIES KPim6::Libkleo Qt::Widgets Qt::Test
)

ecm_add_test(
    expirycheckertest.cpp
    expirycheckertest.qrc
    testhelpers.h
    TEST_NAME expirycheckertest
    LINK_LIBRARIES
        KPim6::Libkleo
        Qt::Test
)

ecm_add_tests(
    hextest.cpp
    LINK_LIBRARIES KPim6::Libkleo Qt::Test
)

ecm_add_test(
    classifytest.cpp
    LINK_LIBRARIES
        KPim6::Libkleo
        Qt::Test
)

ecm_add_test(
    compliancetest.cpp
    LINK_LIBRARIES KPim6::Libkleo Qt::Test
)

ecm_add_tests(
    formattingtest.cpp
    LINK_LIBRARIES KPim6::Libkleo Qt::Test
)

ecm_add_tests(
    keycachetest.cpp
    LINK_LIBRARIES KPim6::Libkleo Qt::Test
)

ecm_add_test(
    keyparameterstest.cpp
    TEST_NAME keyparameterstest
    LINK_LIBRARIES KPim6::Libkleo Gpgmepp Qt::Test
)

=== tests/CMakeLists.txt ===
# SPDX-License-Identifier: CC0-1.0
# SPDX-FileCopyrightText: none
include(ECMMarkAsTest)

# Convenience macro to add kleo unit tests.
macro(add_kleo_test _source)
  set(_test ${_source})
  get_filename_component(_name ${_source} NAME_WE)
  add_executable(${_name} ${_test})
  ecm_mark_as_test(kleo-${_name})
  target_link_libraries(${_name} KPim6::Libkleo Qt::Widgets KF6::CoreAddons
      KF6::I18n KF6::WidgetsAddons)
endmacro()


add_kleo_test(test_jobs.cpp)
add_kleo_test(test_cryptoconfig.cpp)
add_kleo_test(test_keyselectiondialog.cpp)
add_kleo_test(test_keygen.cpp test_keygen.h)
add_kleo_test(test_keylister.cpp test_keylister.h)
add_kleo_test(test_auditlog.cpp)
add_kleo_test(test_keyformailbox.cpp)
add_kleo_test(test_keyselectioncombo.cpp)
add_kleo_test(test_keyresolver.cpp)

## libkleo 24.08.2

=== debian/changelog ===
libkleo (4:24.08.2-1) experimental; urgency=medium

  [ Patrick Franz ]
  * New upstream release (24.08.2).
  * Update build-deps and deps with the info from cmake.

 -- Patrick Franz <deltaone@debian.org>  Sat, 12 Oct 2024 15:03:01 +0200

libkleo (4:24.08.0-1) experimental; urgency=medium

  [ Patrick Franz ]
  * New upstream release (24.08.0).
  * Update build-deps and deps with the info from cmake.
  * Create new packages.
  * Bump Standards-Version to 4.7.0 (no changes needed).
  * Do not rely on dpkg_late_eval any more to set the ABI-version for
    the virtual package.
  * Update d/copyright.

 -- Patrick Franz <deltaone@debian.org>  Wed, 28 Aug 2024 20:20:56 +0200

libkf5libkleo (4:22.12.3-1.1) experimental; urgency=medium

  * Non-maintainer upload.
  * Rename libraries for 64-bit time_t transition.

 -- Steve Langasek <vorlon@debian.org>  Thu, 01 Feb 2024 08:46:33 +0000

libkf5libkleo (4:22.12.3-1) unstable; urgency=medium

  [ Patrick Franz ]
  * New upstream release (22.12.3).
  * Update build-deps and deps with the info from cmake.
  * Remove inactive uploaders, thanks for your work.

 -- Patrick Franz <deltaone@debian.org>  Wed, 01 Mar 2023 21:31:35 +0100

libkf5libkleo (4:22.12.2-1) unstable; urgency=medium

  [ Patrick Franz ]
  * New upstream release (22.12.2).
  * Update build-deps and deps with the info from cmake.

 -- Patrick Franz <deltaone@debian.org>  Sun, 05 Feb 2023 00:25:43 +0100

libkf5libkleo (4:22.12.0-2) unstable; urgency=medium

  [ Patrick Franz ]
  * Upload to unstable.

 -- Patrick Franz <deltaone@debian.org>  Wed, 04 Jan 2023 21:36:28 +0100

libkf5libkleo (4:22.12.0-1) experimental; urgency=medium

  [ Patrick Franz ]
  * New upstream release (22.12.0).
  * Update build-deps and deps with the info from cmake.
  * Bump Standards-Version to 4.6.2 (No changes needed).

 -- Patrick Franz <deltaone@debian.org>  Thu, 22 Dec 2022 21:03:12 +0100

libkf5libkleo (4:22.08.3-1) unstable; urgency=medium

  [ Patrick Franz ]
  * New upstream release (22.08.3).
  * Update build-deps and deps with the info from cmake.

 -- Patrick Franz <deltaone@debian.org>  Fri, 04 Nov 2022 21:53:33 +0100

libkf5libkleo (4:22.08.2-1) unstable; urgency=medium

  [ Patrick Franz ]
  * New upstream release (22.08.2).
  * Update build-deps and deps with the info from cmake.

 -- Patrick Franz <deltaone@debian.org>  Sat, 29 Oct 2022 00:11:01 +0200

libkf5libkleo (4:22.08.0-2) unstable; urgency=medium

  [ Patrick Franz ]
  * Upload to unstable.

 -- Patrick Franz <deltaone@debian.org>  Sat, 10 Sep 2022 13:08:38 +0200

libkf5libkleo (4:22.08.0-1) experimental; urgency=medium

  [ Patrick Franz ]
  * Update upstream signing-key.
  * Bump Standards-Version to 4.6.1 (No changes needed).
  * New upstream release (22.08.0).
  * Update build-deps and deps with the info from cmake.

 -- Patrick Franz <deltaone@debian.org>  Wed, 31 Aug 2022 01:45:26 +0200

libkf5libkleo (4:22.04.3-1) unstable; urgency=medium

  [ Patrick Franz ]
  * New upstream release (22.04.3).
  * Update build-deps and deps with the info from cmake.

 -- Patrick Franz <deltaone@debian.org>  Thu, 14 Jul 2022 21:56:38 +0200

libkf5libkleo (4:22.04.2-2) unstable; urgency=medium

  [ Patrick Franz ]
  * Upload to unstable.

 -- Patrick Franz <deltaone@debian.org>  Mon, 27 Jun 2022 22:01:16 +0200

libkf5libkleo (4:22.04.2-1) experimental; urgency=medium

  [ Patrick Franz ]
  * New upstream release (22.04.2).
  * Update build-deps and deps with the info from cmake.

 -- Patrick Franz <deltaone@debian.org>  Sun, 19 Jun 2022 02:46:21 +0200

libkf5libkleo (4:22.04.1-1) experimental; urgency=medium

  [ Patrick Franz ]
  * New upstream release (22.04.1).
  * Update build-deps and deps with the info from cmake.
  * Update list of installed files.

 -- Patrick Franz <deltaone@debian.org>  Wed, 25 May 2022 21:45:29 +0200

libkf5libkleo (4:21.12.3-2) unstable; urgency=medium

  [ Patrick Franz ]
  * Upload to unstable.

 -- Patrick Franz <deltaone@debian.org>  Fri, 01 Apr 2022 22:09:09 +0200

libkf5libkleo (4:21.12.3-1) experimental; urgency=medium

  [ Patrick Franz ]
  * New upstream release (21.12.3).
  * Update build-deps and deps with the info from cmake.
  * Add myself to Uploaders.

 -- Patrick Franz <deltaone@debian.org>  Thu, 24 Mar 2022 23:16:39 +0100

libkf5libkleo (4:21.08.1-1) unstable; urgency=medium

  [ Norbert Preining ]
  * New upstream release (21.08.1).
  * Bump Standards-Version to 4.6.0, no change required.

 -- Norbert Preining <norbert@preining.info>  Sat, 11 Sep 2021 07:26:28 +0900

libkf5libkleo (4:21.08.0-1) unstable; urgency=medium

  [ Norbert Preining ]
  * New upstream release (21.08.0).
  * Disable autotests during build.

 -- Norbert Preining <norbert@preining.info>  Wed, 18 Aug 2021 08:41:33 +0900

libkf5libkleo (4:21.04.3-1) experimental; urgency=medium

  [ Norbert Preining ]
  * New upstream release (21.04.3).

 -- Norbert Preining <norbert@preining.info>  Fri, 09 Jul 2021 10:40:53 +0900

libkf5libkleo (4:21.04.1-1) experimental; urgency=medium

  [ Norbert Preining ]
  * New upstream release (21.04.1).

 -- Norbert Preining <norbert@preining.info>  Fri, 14 May 2021 06:15:19 +0900

libkf5libkleo (4:21.04.0-1) experimental; urgency=medium

  [ Norbert Preining ]
  * New upstream release (21.04.0).
  * Borrow minimal upstream signing key from k3b.
  * Drop Kubuntu from maintainer name.
  * Removed Maximiliano Curia from the uploaders, thanks for your work
    on the package!
  * Added myself to the uploaders.

 -- Norbert Preining <norbert@preining.info>  Thu, 13 May 2021 09:47:04 +0900

libkf5libkleo (4:20.08.3-1) unstable; urgency=medium

  [ Sandro Knauß ]
  * New upstream release (20.08.3).
  * Update build-deps and deps with the info from cmake.
  * Bump Standards-Version to 4.5.1 (No changes needed).
  * Minimize the upstream GPG signing key.

 -- Sandro Knauß <hefee@debian.org>  Wed, 16 Dec 2020 01:39:36 +0100

libkf5libkleo (4:20.08.2-2) unstable; urgency=medium

  * Team upload to unstable.



=== debian/control ===
Source: libkleo
Section: libs
Priority: optional
Maintainer: Debian Qt/KDE Maintainers <debian-qt-kde@lists.debian.org>
Uploaders: Sandro Knauß <hefee@debian.org>, Patrick Franz <deltaone@debian.org>,
Build-Depends: cmake (>= 3.16~),
               debhelper-compat (= 13),
               dh-sequence-kf6,
               extra-cmake-modules (>= 6.3.0~),
               gettext,
               libboost-dev (>= 1.34.0~),
               libgpg-error-dev (>= 1.36~),
               libgpgme-dev (>= 1.21.0~),
               libgpgmepp-dev (>= 1.21.0~),
               libkf6codecs-dev (>= 6.3.0~),
               libkf6colorscheme-dev (>= 6.3.0~),
               libkf6completion-dev (>= 6.3.0~),
               libkf6config-dev (>= 6.3.0~),
               libkf6coreaddons-dev (>= 6.3.0~),
               libkf6i18n-dev (>= 6.3.0~),
               libkf6itemmodels-dev (>= 6.3.0~),
               libkf6widgetsaddons-dev (>= 6.3.0~),
               libkpimtextedit-dev (>= 24.08.0~),
               libqgpgmeqt6-dev (>= 1.21.0~),
               libxkbcommon-dev,
               pkgconf,
               qt6-base-dev (>= 6.6.0+dfsg~),
Standards-Version: 4.7.0
Homepage: https://invent.kde.org/pim/libkleo
Vcs-Browser: https://salsa.debian.org/qt-kde-team/kde/libkleo
Vcs-Git: https://salsa.debian.org/qt-kde-team/kde/libkleo.git
Rules-Requires-Root: no

Package: libkleo-data
Architecture: all
Multi-Arch: foreign
Depends: ${misc:Depends},
Breaks: libkf5libkleo-data,
Replaces: libkf5libkleo-data,
Description: KDE PIM cryptographic library, data files
 This package contains the data files used by libkleo, a library for Kleopatra
 and other parts of KDE using certificate-based crypto.
 .
 This package is part of the KDE PIM module.

Package: libkleo-dev
Section: libdevel
Architecture: any
Multi-Arch: same
Depends: libgpgme-dev (>= 1.21.0~),
         libkpim6libkleo6 (= ${binary:Version}),
         libqgpgmeqt6-dev (>= 1.21.0~),
         qt6-base-dev (>= 6.6.0+dfsg~),
         ${misc:Depends},
Description: KDE PIM cryptographic library, devel files
 This package contains the development files for libkleo, a library for
 Kleopatra and other parts of KDE using certificate-based crypto.
 .
 This package is part of the KDE PIM module.

Package: libkpim6libkleo6
Provides: ${ABI:VirtualPackage},
Architecture: any
Multi-Arch: same
Depends: libkleo-data (= ${source:Version}), ${misc:Depends}, ${shlibs:Depends},
Description: KDE PIM cryptographic library
 This package contains libkleo, a library for Kleopatra and other parts of KDE
 using certificate-based crypto.
 .
 This package is part of the KDE PIM module.

## libkleo 24.12.0

=== debian/changelog ===
libkleo (4:24.12.0-2) unstable; urgency=medium

  [ Patrick Franz ]
  * Upload to unstable.

 -- Patrick Franz <deltaone@debian.org>  Wed, 18 Dec 2024 22:54:07 +0100

libkleo (4:24.12.0-1) experimental; urgency=medium

  [ Patrick Franz ]
  * Add/update Heiko Becker in upstream signing keys.
  * New upstream release (24.12.0).
  * Update build-deps and deps with the info from cmake.
  * Update list of installed files.

 -- Patrick Franz <deltaone@debian.org>  Sat, 14 Dec 2024 15:37:54 +0100

libkf5libkleo (4:22.12.3-2) unstable; urgency=medium

  [ Patrick Franz ]
  * Switch libgpgmepp-dev B-D to libqgpgme-dev (Closes: #1078480).

 -- Patrick Franz <deltaone@debian.org>  Sun, 25 Aug 2024 18:26:51 +0200

=== debian/control ===
--- 
+++ 
@@ -6,25 +6,25 @@
 Build-Depends: cmake (>= 3.16~),
                debhelper-compat (= 13),
                dh-sequence-kf6,
-               extra-cmake-modules (>= 6.3.0~),
+               extra-cmake-modules (>= 6.6.0~),
                gettext,
                libboost-dev (>= 1.34.0~),
                libgpg-error-dev (>= 1.36~),
                libgpgme-dev (>= 1.21.0~),
-               libgpgmepp-dev (>= 1.21.0~),
-               libkf6codecs-dev (>= 6.3.0~),
-               libkf6colorscheme-dev (>= 6.3.0~),
-               libkf6completion-dev (>= 6.3.0~),
-               libkf6config-dev (>= 6.3.0~),
-               libkf6coreaddons-dev (>= 6.3.0~),
-               libkf6i18n-dev (>= 6.3.0~),
-               libkf6itemmodels-dev (>= 6.3.0~),
-               libkf6widgetsaddons-dev (>= 6.3.0~),
+               libgpgmepp-dev (>= 1.23.2~),
+               libkf6codecs-dev (>= 6.6.0~),
+               libkf6colorscheme-dev (>= 6.6.0~),
+               libkf6completion-dev (>= 6.6.0~),
+               libkf6config-dev (>= 6.6.0~),
+               libkf6coreaddons-dev (>= 6.6.0~),
+               libkf6i18n-dev (>= 6.6.0~),
+               libkf6itemmodels-dev (>= 6.6.0~),
+               libkf6widgetsaddons-dev (>= 6.6.0~),
                libkpimtextedit-dev (>= 24.08.0~),
-               libqgpgmeqt6-dev (>= 1.21.0~),
+               libqgpgmeqt6-dev (>= 1.23.2~),
                libxkbcommon-dev,
                pkgconf,
-               qt6-base-dev (>= 6.6.0+dfsg~),
+               qt6-base-dev (>= 6.7.0~),
 Standards-Version: 4.7.0
 Homepage: https://invent.kde.org/pim/libkleo
 Vcs-Browser: https://salsa.debian.org/qt-kde-team/kde/libkleo
@@ -49,8 +49,8 @@
 Multi-Arch: same
 Depends: libgpgme-dev (>= 1.21.0~),
          libkpim6libkleo6 (= ${binary:Version}),
-         libqgpgmeqt6-dev (>= 1.21.0~),
-         qt6-base-dev (>= 6.6.0+dfsg~),
+         libqgpgmeqt6-dev (>= 1.23.2~),
+         qt6-base-dev (>= 6.7.0~),
          ${misc:Depends},
 Description: KDE PIM cryptographic library, devel files
  This package contains the development files for libkleo, a library for

## libkleo 24.12.2

=== debian/changelog ===
libkleo (4:24.12.2-1) unstable; urgency=medium

  [ Patrick Franz ]
  * New upstream release (24.12.2).
  * Update build-deps and deps with the info from cmake.

 -- Patrick Franz <deltaone@debian.org>  Sun, 23 Feb 2025 00:07:08 +0100

=== debian/control ===
--- 
+++ 
@@ -3,9 +3,9 @@
 Priority: optional
 Maintainer: Debian Qt/KDE Maintainers <debian-qt-kde@lists.debian.org>
 Uploaders: Sandro Knauß <hefee@debian.org>, Patrick Franz <deltaone@debian.org>,
-Build-Depends: cmake (>= 3.16~),
-               debhelper-compat (= 13),
+Build-Depends: debhelper-compat (= 13),
                dh-sequence-kf6,
+               cmake (>= 3.16~),
                extra-cmake-modules (>= 6.6.0~),
                gettext,
                libboost-dev (>= 1.34.0~),

## libkleo 24.12.3

=== debian/changelog ===
libkleo (4:24.12.3-3) unstable; urgency=medium

  * Upload to unstable.

 -- Patrick Franz <deltaone@debian.org>  Sun, 25 May 2025 23:43:40 +0200

libkleo (4:24.12.3-2) experimental; urgency=medium

  [ Patrick Franz ]
  * Add Breaks+Replace for libkpim6libkleo6 against libkf5libkleo5 to
    smoothen upgrades.

 -- Patrick Franz <deltaone@debian.org>  Sun, 25 May 2025 10:05:44 +0200

libkleo (4:24.12.3-1) unstable; urgency=medium

  [ Patrick Franz ]
  * New upstream release (24.12.3).
  * Remove redundant build-dependencies.
  * Bump Standards-Version to 4.7.2 (No changes needed).

 -- Patrick Franz <deltaone@debian.org>  Sat, 29 Mar 2025 18:49:16 +0100

=== debian/control ===
--- 
+++ 
@@ -20,12 +20,11 @@
                libkf6i18n-dev (>= 6.6.0~),
                libkf6itemmodels-dev (>= 6.6.0~),
                libkf6widgetsaddons-dev (>= 6.6.0~),
-               libkpimtextedit-dev (>= 24.08.0~),
                libqgpgmeqt6-dev (>= 1.23.2~),
                libxkbcommon-dev,
                pkgconf,
                qt6-base-dev (>= 6.7.0~),
-Standards-Version: 4.7.0
+Standards-Version: 4.7.2
 Homepage: https://invent.kde.org/pim/libkleo
 Vcs-Browser: https://salsa.debian.org/qt-kde-team/kde/libkleo
 Vcs-Git: https://salsa.debian.org/qt-kde-team/kde/libkleo.git
@@ -63,6 +62,8 @@
 Architecture: any
 Multi-Arch: same
 Depends: libkleo-data (= ${source:Version}), ${misc:Depends}, ${shlibs:Depends},
+Breaks: libkf5libkleo5,
+Replaces: libkf5libkleo5,
 Description: KDE PIM cryptographic library
  This package contains libkleo, a library for Kleopatra and other parts of KDE
  using certificate-based crypto.

=== debian/rules ===
#!/usr/bin/make -f

export DEB_BUILD_MAINT_OPTIONS = hardening=+all

include /usr/share/dpkg/pkg-info.mk

# Starting with a library package $*, remove the ABI and append a
# -MAJOR.MINOR suffix without the third component of the upstream version.
ABIVirtualPackage = $(shell echo $* | sed 's/abi[0-9]\+//')-$(basename $(DEB_VERSION_UPSTREAM))
pkgs_lib = $(filter-out %-dev %-dbg %-bin %-data,$(filter lib%,$(shell dh_listpackages)))

%:
	dh $@

override_dh_makeshlibs: $(pkgs_lib:=-makeshlibs)
	dh_makeshlibs --remaining-packages
$(pkgs_lib:=-makeshlibs): %-makeshlibs:
	dh_makeshlibs -p$* '-V$* (>= $(DEB_VERSION_EPOCH_UPSTREAM)), $(ABIVirtualPackage)'

override_dh_gencontrol: $(pkgs_lib:=-gencontrol)
	dh_gencontrol --remaining-packages
$(pkgs_lib:=-gencontrol): %-gencontrol:
	dh_gencontrol -p$* -- -VABI:VirtualPackage=$(ABIVirtualPackage)

override_dh_auto_test:
	:

## libkleo 25.04.0

=== debian/changelog ===
libkleo (4:25.04.0-0ubuntu1) questing; urgency=medium

  * New upstream release (25.04.0)

 -- Rik Mills <rikmills@kde.org>  Wed, 30 Apr 2025 20:02:11 +0100

libkleo (4:24.12.3-0ubuntu1) plucky; urgency=medium

  * New upstream release.

 -- Simon Quigley <tsimonq2@ubuntu.com>  Sat, 15 Mar 2025 14:15:31 -0500

=== debian/control ===
--- 
+++ 
@@ -1,11 +1,12 @@
 Source: libkleo
 Section: libs
 Priority: optional
-Maintainer: Debian Qt/KDE Maintainers <debian-qt-kde@lists.debian.org>
+Maintainer: Kubuntu Developers <kubuntu-devel@lists.ubuntu.com>
+XSBC-Original-Maintainer: Debian Qt/KDE Maintainers <debian-qt-kde@lists.debian.org>
 Uploaders: Sandro Knauß <hefee@debian.org>, Patrick Franz <deltaone@debian.org>,
-Build-Depends: debhelper-compat (= 13),
+Build-Depends: cmake (>= 3.16~),
+               debhelper-compat (= 13),
                dh-sequence-kf6,
-               cmake (>= 3.16~),
                extra-cmake-modules (>= 6.6.0~),
                gettext,
                libboost-dev (>= 1.34.0~),
@@ -20,14 +21,15 @@
                libkf6i18n-dev (>= 6.6.0~),
                libkf6itemmodels-dev (>= 6.6.0~),
                libkf6widgetsaddons-dev (>= 6.6.0~),
+               libkpimtextedit-dev (>= 25.04.0~),
                libqgpgmeqt6-dev (>= 1.23.2~),
                libxkbcommon-dev,
                pkgconf,
                qt6-base-dev (>= 6.7.0~),
-Standards-Version: 4.7.2
+Standards-Version: 4.7.0
 Homepage: https://invent.kde.org/pim/libkleo
-Vcs-Browser: https://salsa.debian.org/qt-kde-team/kde/libkleo
-Vcs-Git: https://salsa.debian.org/qt-kde-team/kde/libkleo.git
+Vcs-Browser: https://code.launchpad.net/~kubuntu-packagers/kubuntu-packaging/+git/libkleo
+Vcs-Git: https://git.launchpad.net/~kubuntu-packagers/kubuntu-packaging/+git/libkleo
 Rules-Requires-Root: no
 
 Package: libkleo-data
@@ -62,8 +64,6 @@
 Architecture: any
 Multi-Arch: same
 Depends: libkleo-data (= ${source:Version}), ${misc:Depends}, ${shlibs:Depends},
-Breaks: libkf5libkleo5,
-Replaces: libkf5libkleo5,
 Description: KDE PIM cryptographic library
  This package contains libkleo, a library for Kleopatra and other parts of KDE
  using certificate-based crypto.

## libkleo 25.04.1

=== debian/changelog ===
libkleo (4:25.04.1-0ubuntu1) questing; urgency=medium

  * New upstream release (25.04.1)

 -- Rik Mills <rikmills@kde.org>  Wed, 07 May 2025 22:17:10 +0100

=== debian/control ===
--- 
+++ 
@@ -21,7 +21,7 @@
                libkf6i18n-dev (>= 6.6.0~),
                libkf6itemmodels-dev (>= 6.6.0~),
                libkf6widgetsaddons-dev (>= 6.6.0~),
-               libkpimtextedit-dev (>= 25.04.0~),
+               libkpimtextedit-dev (>= 25.04.1~),
                libqgpgmeqt6-dev (>= 1.23.2~),
                libxkbcommon-dev,
                pkgconf,

## libkleo 25.04.2

=== autotests/CMakeLists.txt ===
--- 
+++ 
@@ -87,3 +87,8 @@
     TEST_NAME keyparameterstest
     LINK_LIBRARIES KPim6::Libkleo Gpgmepp Qt::Test
 )
+
+ecm_add_tests(
+    stringutilstest.cpp
+    LINK_LIBRARIES KPim6::Libkleo Qt::Test
+)

=== debian/changelog ===
libkleo (4:25.04.2-0ubuntu1) questing; urgency=medium

  * New upstream release (25.04.2)

 -- Rik Mills <rikmills@kde.org>  Thu, 05 Jun 2025 11:59:56 +0100

=== debian/control ===
--- 
+++ 
@@ -21,7 +21,7 @@
                libkf6i18n-dev (>= 6.6.0~),
                libkf6itemmodels-dev (>= 6.6.0~),
                libkf6widgetsaddons-dev (>= 6.6.0~),
-               libkpimtextedit-dev (>= 25.04.1~),
+               libkpimtextedit-dev (>= 25.04.2~),
                libqgpgmeqt6-dev (>= 1.23.2~),
                libxkbcommon-dev,
                pkgconf,

## libkleo 25.04.3

=== debian/changelog ===
libkleo (4:25.04.3-0ubuntu1) questing; urgency=medium

  * New upstream release (25.04.3)

 -- Rik Mills <rikmills@kde.org>  Thu, 03 Jul 2025 07:55:01 +0100

=== debian/control ===
--- 
+++ 
@@ -21,7 +21,7 @@
                libkf6i18n-dev (>= 6.6.0~),
                libkf6itemmodels-dev (>= 6.6.0~),
                libkf6widgetsaddons-dev (>= 6.6.0~),
-               libkpimtextedit-dev (>= 25.04.2~),
+               libkpimtextedit-dev (>= 25.04.3~),
                libqgpgmeqt6-dev (>= 1.23.2~),
                libxkbcommon-dev,
                pkgconf,

## libkleo 25.07.80

=== CMakeLists.txt ===
--- 
+++ 
@@ -1,11 +1,11 @@
 # SPDX-License-Identifier: CC0-1.0
 # SPDX-FileCopyrightText: none
 cmake_minimum_required(VERSION 3.16 FATAL_ERROR)
-set(PIM_VERSION "6.3.3")
+set(PIM_VERSION "6.4.80")
 
 project(libkleo VERSION ${PIM_VERSION})
 
-set(KF_MIN_VERSION "6.6.0")
+set(KF_MIN_VERSION "6.14.0")
 
 if(WIN32)
   set(KF6_WANT_VERSION ${KF_MIN_VERSION})
@@ -13,6 +13,10 @@
 else ()
   set(KF6_WANT_VERSION ${KF_MIN_VERSION})
 endif()
+
+set(CMAKE_CXX_STANDARD 20)
+set(CMAKE_CXX_STANDARD_REQUIRED ON)
+set(CMAKE_CXX_EXTENSIONS OFF)
 
 find_package(ECM ${KF6_WANT_VERSION} CONFIG REQUIRED)
 set(CMAKE_MODULE_PATH ${ECM_MODULE_PATH})
@@ -27,7 +31,6 @@
 include(ECMSetupVersion)
 include(ECMGenerateHeaders)
 
-include(FeatureSummary)
 include(ECMQtDeclareLoggingCategory)
 include(ECMDeprecationSettings)
 include(ECMFeatureSummary)
@@ -60,6 +63,9 @@
 if(Gpgmepp_VERSION VERSION_GREATER_EQUAL "1.24.0")
     set(GPGMEPP_ERROR_HAS_ASSTDSTRING 1)
 endif()
+if(Gpgmepp_VERSION VERSION_GREATER_EQUAL "1.24.1")
+    set(GPGMEPP_SUPPORTS_KYBER 1)
+endif()
 find_package(${QGPGME_NAME} ${GPGME_REQUIRED_VERSION} CONFIG REQUIRED)
 
 find_package(LibGpgError ${GPG_ERROR_REQUIRED_VERSION} REQUIRED)
@@ -67,8 +73,12 @@
   TYPE REQUIRED
 )
 
-find_package(Boost 1.34.0)
-set_package_properties(Boost PROPERTIES DESCRIPTION "Boost C++ Libraries" URL "https://www.boost.org" TYPE REQUIRED PURPOSE "Boost is required for building most KDEPIM applications")
+find_package(Boost 1.70.0 CONFIG)
+set_package_properties(Boost PROPERTIES
+    TYPE REQUIRED
+    DESCRIPTION "Boost C++ Libraries"
+    URL "https://www.boost.org")
+
 ecm_setup_version(PROJECT VARIABLE_PREFIX LIBKLEO
                         VERSION_HEADER "${CMAKE_CURRENT_BINARY_DIR}/libkleo_version.h"
                         PACKAGE_VERSION_FILE "${CMAKE_CURRENT_BINARY_DIR}/KPim6LibkleoConfigVersion.cmake"
@@ -76,7 +86,7 @@
 )
 
 ########### Targets ###########
-ecm_set_disabled_deprecation_versions(QT 6.3  KF 6.8.0)
+ecm_set_disabled_deprecation_versions(QT 6.10.0  KF 6.16.0)
 
 remove_definitions(-DQT_NO_FOREACH)
 add_definitions(-DQT_NO_EMIT)

=== debian/changelog ===
libkleo (4:25.07.80-0ubuntu1) questing; urgency=medium

  * New upstream (beta) release (25.07.80)

 -- Rik Mills <rikmills@kde.org>  Mon, 14 Jul 2025 06:44:43 +0100

=== debian/control ===
--- 
+++ 
@@ -21,7 +21,7 @@
                libkf6i18n-dev (>= 6.6.0~),
                libkf6itemmodels-dev (>= 6.6.0~),
                libkf6widgetsaddons-dev (>= 6.6.0~),
-               libkpimtextedit-dev (>= 25.04.3~),
+               libkpimtextedit-dev (>= 25.07.80~),
                libqgpgmeqt6-dev (>= 1.23.2~),
                libxkbcommon-dev,
                pkgconf,

## libkleo 25.07.90

=== debian/changelog ===
libkleo (4:25.07.90-0ubuntu1) questing; urgency=medium

  * New upstream (RC) release (25.07.90)

 -- Rik Mills <rikmills@kde.org>  Fri, 25 Jul 2025 17:59:48 +0100

=== debian/control ===
--- 
+++ 
@@ -21,7 +21,7 @@
                libkf6i18n-dev (>= 6.6.0~),
                libkf6itemmodels-dev (>= 6.6.0~),
                libkf6widgetsaddons-dev (>= 6.6.0~),
-               libkpimtextedit-dev (>= 25.07.80~),
+               libkpimtextedit-dev (>= 25.07.90~),
                libqgpgmeqt6-dev (>= 1.23.2~),
                libxkbcommon-dev,
                pkgconf,

## libkleo 25.08.0

=== debian/changelog ===
libkleo (4:25.08.0-0ubuntu1) questing; urgency=medium

  * New upstream release (25.08.0)

 -- Rik Mills <rikmills@kde.org>  Thu, 14 Aug 2025 11:59:01 +0100

=== debian/control ===
--- 
+++ 
@@ -21,7 +21,7 @@
                libkf6i18n-dev (>= 6.6.0~),
                libkf6itemmodels-dev (>= 6.6.0~),
                libkf6widgetsaddons-dev (>= 6.6.0~),
-               libkpimtextedit-dev (>= 25.07.90~),
+               libkpimtextedit-dev (>= 25.08.0~),
                libqgpgmeqt6-dev (>= 1.23.2~),
                libxkbcommon-dev,
                pkgconf,

## libkleo 25.08.1

=== CMakeLists.txt ===
--- 
+++ 
@@ -1,7 +1,7 @@
 # SPDX-License-Identifier: CC0-1.0
 # SPDX-FileCopyrightText: none
 cmake_minimum_required(VERSION 3.16 FATAL_ERROR)
-set(PIM_VERSION "6.4.80")
+set(PIM_VERSION "6.5.1")
 
 project(libkleo VERSION ${PIM_VERSION})

=== src/CMakeLists.txt ===
# SPDX-License-Identifier: CC0-1.0
# SPDX-FileCopyrightText: none
# target_include_directories does not handle empty include paths
include_directories(
    ${GPGME_INCLUDES}
)
add_definitions(-DTRANSLATION_DOMAIN=\"libkleopatra6\")

#add_definitions(-DQT_NO_CAST_FROM_ASCII)
#add_definitions(-DQT_NO_CAST_TO_ASCII)

kde_enable_exceptions()

add_definitions(-DGPGMEPP_ERR_SOURCE_DEFAULT=13) # 13 is GPG_ERR_SOURCE_KLEO, even if gpg-error's too old to know about

add_subdirectory(pics)
add_library(KPim6Libkleo)
add_library(KPim6::Libkleo ALIAS KPim6Libkleo)

########### next target ###############
target_sources(KPim6Libkleo PRIVATE
    pics/libkleopatra.qrc

    kleo/auditlogentry.cpp
    kleo/auditlogentry.h
    kleo/checksumdefinition.cpp
    kleo/checksumdefinition.h
    kleo/debug.cpp
    kleo/debug.h
    kleo/defaultkeyfilter.cpp
    kleo/defaultkeyfilter.h
    kleo/defaultkeygenerationjob.cpp
    kleo/defaultkeygenerationjob.h
    kleo/docaction.cpp kleo/docaction.h
    kleo/dn.cpp
    kleo/dn.h
    kleo/dnattributes.cpp
    kleo/dnattributes.h
    kleo/enum.cpp
    kleo/enum.h
    kleo/expirychecker.cpp
    kleo/expirychecker.h
    kleo/expirycheckerconfig.cpp
    kleo/expirycheckerconfig.h
    kleo/expirycheckersettings.cpp
    kleo/expirycheckersettings.h
    kleo/kconfigbasedkeyfilter.cpp
    kleo/kconfigbasedkeyfilter.h
    kleo/keyfilter.h
    kleo/keyfiltermanager.cpp
    kleo/keyfiltermanager.h
    kleo/keygroup.cpp
    kleo/keygroup.h
    kleo/keygroupconfig.cpp
    kleo/keygroupconfig.h
    kleo/keygroupimportexport.cpp
    kleo/keygroupimportexport.h
    kleo/keyresolver.cpp
    kleo/keyresolver.h
    kleo/keyresolvercore.cpp
    kleo/keyresolvercore.h
    kleo/keyserverconfig.cpp
    kleo/keyserverconfig.h
    kleo/kleoexception.cpp
    kleo/kleoexception.h
    kleo/oidmap.cpp
    kleo/oidmap.h
    kleo/predicates.h
    kleo/stl_util.h
    models/keycache.cpp
    models/keycache.h
    models/keycache_p.h
    models/keylist.h
    models/keylistmodel.cpp
    models/keylistmodel.h
    models/keylistmodelinterface.cpp
    models/keylistmodelinterface.h
    models/keylistsortfilterproxymodel.cpp
    models/keylistsortfilterproxymodel.h
    models/keyrearrangecolumnsproxymodel.cpp
    models/keyrearrangecolumnsproxymodel.h
    models/subkeylistmodel.cpp
    models/subkeylistmodel.h
    models/useridlistmodel.cpp
    models/useridlistproxymodel.cpp
    models/useridlistproxymodel.h
    models/useridlistmodel.h
    models/useridproxymodel.cpp
    models/useridproxymodel.h
    utils/algorithm.h
    utils/applicationpalettewatcher.cpp
    utils/applicationpalettewatcher.h
    utils/assuan.cpp
    utils/assuan.h
    utils/chrono.h
    utils/classify.cpp
    utils/classify.h
    utils/compat.cpp
    utils/compat.h
    utils/compliance.cpp
    utils/compliance.h
    utils/cryptoconfig.cpp
    utils/cryptoconfig.h
    utils/cryptoconfig_p.h
    utils/filesystemwatcher.cpp
    utils/filesystemwatcher.h
    utils/formatting.cpp
    utils/formatting.h
    utils/expiration.cpp
    utils/expiration.h
    utils/gnupg-registry.c
    utils/gnupg-registry.h
    utils/gnupg.cpp
    utils/gnupg.h
    utils/hex.cpp
    utils/hex.h
    utils/keyhelpers.cpp
    utils/keyhelpers.h
    utils/keyparameters.cpp
    utils/keyparameters.h
    utils/keyusage.h
    utils/qtstlhelpers.cpp
    utils/qtstlhelpers.h
    utils/scdaemon.cpp
    utils/scdaemon.h
    utils/stringutils.cpp
    utils/stringutils.h
    utils/systeminfo.cpp
    utils/systeminfo.h
    utils/test.cpp
    utils/test.h
    utils/validation.cpp
    utils/validation.h
    utils/multivalidator_p.h
    utils/multivalidator.cpp
)
ecm_qt_declare_logging_category(KPim6Libkleo HEADER libkleo_debug.h IDENTIFIER LIBKLEO_LOG CATEGORY_NAME org.kde.pim.libkleo
    DESCRIPTION "libkleo (kleo_core)"
    EXPORT LIBKLEO
)


target_sources(KPim6Libkleo PRIVATE
    ui/animatedexpander.cpp
    ui/animatedexpander_p.h
    ui/auditlogviewer.cpp
    ui/auditlogviewer.h
    ui/cryptoconfigentryreaderport.cpp
    ui/cryptoconfigentryreaderport_p.h
    ui/cryptoconfigmodule.cpp
    ui/cryptoconfigmodule.h
    ui/cryptoconfigmodule_p.h
    ui/directoryserviceswidget.cpp
    ui/directoryserviceswidget.h
    ui/dnattributeorderconfigwidget.cpp
    ui/dnattributeorderconfigwidget.h
    ui/editdirectoryservicedialog.cpp
    ui/editdirectoryservicedialog.h
    ui/errorlabel.cpp
    ui/errorlabel.h
    ui/filenamerequester.cpp
    ui/filenamerequester.h
    ui/formtextinput.cpp
    ui/formtextinput_p.h
    ui/messagebox.cpp
    ui/messagebox.h
    ui/nameandemailwidget.cpp
    ui/nameandemailwidget.h
    ui/openpgpcertificatecreationdialog.cpp
    ui/openpgpcertificatecreationdialog.h
    ui/treeview.cpp
    ui/treeview.h
    ui/treewidget.cpp
    ui/treewidget.h
    ui/progressbar.cpp
    ui/progressbar.h
    ui/progressdialog.cpp
    ui/progressdialog.h
    ui/readerportselection.cpp
    ui/readerportselection.h
)

ecm_qt_declare_logging_category(KPim6Libkleo HEADER kleo_ui_debug.h IDENTIFIER KLEO_UI_LOG CATEGORY_NAME org.kde.pim.kleo_ui
    DESCRIPTION "libkleo (kleo_ui)"
    OLD_CATEGORY_NAMES log_kleo_ui
    EXPORT LIBKLEO
)


target_sources(KPim6Libkleo PRIVATE    # make this a separate lib.
    ui/keyapprovaldialog.cpp
    ui/keyapprovaldialog.h
    ui/keylistview.cpp
    ui/keylistview.h
    ui/keyrequester.cpp
    ui/keyrequester.h
    ui/keyselectioncombo.cpp
    ui/keyselectioncombo.h
    ui/keyselectiondialog.cpp
    ui/keyselectiondialog.h
    ui/newkeyapprovaldialog.cpp
    ui/newkeyapprovaldialog.h
    ui/useridselectioncombo.cpp
    ui/useridselectioncombo.h
)

if(MINGW)
    # we do not care about different signedness of passed pointer arguments
    set_source_files_properties(utils/gnupg-registry.c PROPERTIES COMPILE_OPTIONS "-Wno-pointer-sign")
endif()

target_link_libraries(KPim6Libkleo PUBLIC Gpgmepp PRIVATE Qt::Widgets
                                                KF6::I18n
                                                KF6::Completion
                                                KF6::ConfigCore
                                                KF6::ColorScheme
                                                KF6::ConfigGui
                                                KF6::CoreAddons
                                                KF6::ItemModels
                                                KF6::WidgetsAddons
                                                KF6::Codecs
                                                LibGpgError::LibGpgError)

target_link_libraries(KPim6Libkleo PUBLIC QGpgmeQt6)
target_link_libraries(KPim6Libkleo PRIVATE Boost::headers)

if(COMPILE_WITH_UNITY_CMAKE_SUPPORT)
    set_target_properties(KPim6Libkleo PROPERTIES UNITY_BUILD ON)
endif()

ecm_generate_export_header(KPim6Libkleo
    BASE_NAME kleo
    VERSION ${PIM_VERSION}
    DEPRECATED_BASE_VERSION 0
    DEPRECATION_VERSIONS 5.23
)

if(WIN32)
    target_link_libraries(KPim6Libkleo ${GPGME_VANILLA_LIBRARIES})
endif()

set_target_properties(KPim6Libkleo PROPERTIES
    VERSION ${LIBKLEO_VERSION}
    SOVERSION ${LIBKLEO_SOVERSION}
    EXPORT_NAME Libkleo
)

install(TARGETS
    KPim6Libkleo
    EXPORT KPim6LibkleoTargets ${KDE_INSTALL_TARGETS_DEFAULT_ARGS}
)

target_include_directories(KPim6Libkleo INTERFACE "$<INSTALL_INTERFACE:${KDE_INSTALL_INCLUDEDIR}/KPim6/Libkleo>")
target_include_directories(KPim6Libkleo PUBLIC "$<BUILD_INTERFACE:${libkleo_SOURCE_DIR}/src;${libkleo_BINARY_DIR}/src>")

ecm_generate_headers(libkleo_CamelCase_HEADERS
    HEADER_NAMES
    AuditLogEntry
    ChecksumDefinition
    Debug
    DefaultKeyFilter
    DefaultKeyGenerationJob
    DocAction
    Dn
    DnAttributes
    Enum
    ExpiryChecker
    ExpiryCheckerConfig
    ExpiryCheckerSettings
    KConfigBasedKeyFilter
    KeyFilter
    KeyFilterManager
    KeyGroup
    KeyGroupConfig
    KeyGroupImportExport
    KeyResolver
    KeyResolverCore
    KeyserverConfig
    KleoException
    OidMap
    Predicates
    Stl_Util
    REQUIRED_HEADERS libkleo_HEADERS
    PREFIX Libkleo
    RELATIVE kleo
)

ecm_generate_headers(libkleo_CamelCase_models_HEADERS
    HEADER_NAMES
    KeyCache
    KeyList
    KeyListModel
    KeyListModelInterface
    KeyListSortFilterProxyModel
    KeyRearrangeColumnsProxyModel
    SubkeyListModel
    UserIDListModel
    UserIDListProxyModel
    UserIDProxyModel
    REQUIRED_HEADERS libkleo_models_HEADERS
    PREFIX Libkleo
    RELATIVE models
)

ecm_generate_headers(libkleo_CamelCase_utils_HEADERS
    HEADER_NAMES
    Algorithm
    ApplicationPaletteWatcher
    Assuan
    Chrono
    Classify
    Compat
    Compliance
    CryptoConfig
    Expiration
    FileSystemWatcher
    Formatting
    GnuPG
    Hex
    KeyHelpers
    KeyParameters
    KeyUsage
    QtStlHelpers
    SCDaemon
    StringUtils
    SystemInfo
    Test
    Validation
    REQUIRED_HEADERS libkleo_utils_HEADERS
    PREFIX Libkleo
    RELATIVE utils
)

ecm_generate_headers(libkleo_CamelCase_ui_HEADERS
    HEADER_NAMES
    AuditLogViewer
    CryptoConfigModule
    DNAttributeOrderConfigWidget
    DirectoryServicesWidget
    EditDirectoryServiceDialog
    ErrorLabel
    FileNameRequester
    KeyApprovalDialog
    KeyListView
    KeyRequester
    KeySelectionCombo
    KeySelectionDialog
    MessageBox
    NameAndEmailWidget
    TreeView
    TreeWidget
    NewKeyApprovalDialog
    OpenPGPCertificateCreationDialog
    ProgressDialog
    ReaderPortSelection
    UserIDSelectionCombo
    REQUIRED_HEADERS libkleo_ui_HEADERS
    PREFIX Libkleo
    RELATIVE ui
)

kconfig_add_kcfg_files(KPim6Libkleo
    kcfg/expirycheckerconfigbase.kcfgc
    kcfg/classifyconfig.kcfgc
    kcfg/openpgpcertificatecreationconfig.kcfgc
)

install(FILES
    ${libkleo_CamelCase_HEADERS}
    ${libkleo_CamelCase_models_HEADERS}
    ${libkleo_CamelCase_ui_HEADERS}
    ${libkleo_CamelCase_utils_HEADERS}
    DESTINATION ${KDE_INSTALL_INCLUDEDIR}/KPim6/Libkleo/Libkleo
    COMPONENT Devel
)

install(FILES
    ${CMAKE_CURRENT_BINARY_DIR}/expirycheckerconfigbase.h
    ${CMAKE_CURRENT_BINARY_DIR}/kleo_export.h
    ${libkleo_HEADERS}
    ${libkleo_models_HEADERS}
    ${libkleo_ui_HEADERS}
    ${libkleo_utils_HEADERS}
    ${CMAKE_CURRENT_BINARY_DIR}/classifyconfig.h
    DESTINATION ${KDE_INSTALL_INCLUDEDIR}/KPim6/Libkleo/libkleo
    COMPONENT Devel
)

if(WIN32)
    install(FILES libkleopatrarc-win32.desktop DESTINATION ${KDE_INSTALL_CONFDIR} RENAME libkleopatrarc)
else ()
    install(FILES libkleopatrarc.desktop DESTINATION ${KDE_INSTALL_CONFDIR} RENAME libkleopatrarc)
endif()

if(BUILD_QCH)
    ecm_add_qch(
        KPim6Libkleo_QCH
        NAME KPim6Libkleo
        BASE_NAME KPim6Libkleo
        VERSION ${PIM_VERSION}
        ORG_DOMAIN org.kde
        SOURCES # using only public headers, to cover only public API
        ${libkleo_HEADERS}
        ${libkleo_models_HEADERS}
        ${libkleo_ui_HEADERS}
        ${libkleo_utils_HEADERS}
        #MD_MAINPAGE "${CMAKE_SOURCE_DIR}/README.md"
        #IMAGE_DIRS "${CMAKE_SOURCE_DIR}/docs/pics"
        LINK_QCHS
            Qt6Core_QCH
            Qt6Gui_QCH
            Qt6Widgets_QCH
        INCLUDE_DIRS
            ${CMAKE_CURRENT_BINARY_DIR}
        BLANK_MACROS
            KLEO_EXPORT
        TAGFILE_INSTALL_DESTINATION ${KDE_INSTALL_QTQCHDIR}
        QCH_INSTALL_DESTINATION ${KDE_INSTALL_QTQCHDIR}
        COMPONENT Devel
   )
endif()

=== debian/changelog ===
libkleo (4:25.08.1-0ubuntu1) questing; urgency=medium

  * New upstream release (25.08.1)

 -- Rik Mills <rikmills@kde.org>  Thu, 11 Sep 2025 07:12:49 +0100

=== debian/control ===
--- 
+++ 
@@ -21,7 +21,7 @@
                libkf6i18n-dev (>= 6.6.0~),
                libkf6itemmodels-dev (>= 6.6.0~),
                libkf6widgetsaddons-dev (>= 6.6.0~),
-               libkpimtextedit-dev (>= 25.08.0~),
+               libkpimtextedit-dev (>= 25.08.1~),
                libqgpgmeqt6-dev (>= 1.23.2~),
                libxkbcommon-dev,
                pkgconf,

## libkleo 25.08.2

=== CMakeLists.txt ===
--- 
+++ 
@@ -1,7 +1,7 @@
 # SPDX-License-Identifier: CC0-1.0
 # SPDX-FileCopyrightText: none
 cmake_minimum_required(VERSION 3.16 FATAL_ERROR)
-set(PIM_VERSION "6.5.1")
+set(PIM_VERSION "6.5.2")
 
 project(libkleo VERSION ${PIM_VERSION})

=== debian/changelog ===
libkleo (4:25.08.2-0ubuntu1) resolute; urgency=medium

  * New upstream release (25.08.2)

 -- Rik Mills <rikmills@kde.org>  Fri, 17 Oct 2025 11:56:16 +0100

=== debian/control ===
--- 
+++ 
@@ -21,7 +21,7 @@
                libkf6i18n-dev (>= 6.6.0~),
                libkf6itemmodels-dev (>= 6.6.0~),
                libkf6widgetsaddons-dev (>= 6.6.0~),
-               libkpimtextedit-dev (>= 25.08.1~),
+               libkpimtextedit-dev (>= 25.08.2~),
                libqgpgmeqt6-dev (>= 1.23.2~),
                libxkbcommon-dev,
                pkgconf,

## libkleo 25.08.3

=== debian/changelog ===
libkleo (4:25.08.3-1) experimental; urgency=medium

  [ Patrick Franz ]
  * New upstream release (25.08.3).
  * Update build-deps and deps with the info from cmake.

 -- Patrick Franz <deltaone@debian.org>  Tue, 18 Nov 2025 21:21:50 +0100

=== debian/control ===
Source: libkleo
Section: libs
Priority: optional
Maintainer: Debian Qt/KDE Maintainers <debian-qt-kde@lists.debian.org>
Uploaders: Sandro Knauß <hefee@debian.org>,
           Patrick Franz <deltaone@debian.org>,
Build-Depends: debhelper-compat (= 13),
               dh-sequence-kf6,
               cmake (>= 3.16~),
               extra-cmake-modules (>= 6.14.0~),
               gettext,
               libboost-dev (>= 1.70.0~),
               libgpg-error-dev (>= 1.36~),
               libgpgme-dev (>= 1.21.0~),
               libgpgmepp-dev (>= 1.23.2~),
               libkf6codecs-dev (>= 6.14.0~),
               libkf6colorscheme-dev (>= 6.14.0~),
               libkf6completion-dev (>= 6.14.0~),
               libkf6config-dev (>= 6.14.0~),
               libkf6coreaddons-dev (>= 6.14.0~),
               libkf6i18n-dev (>= 6.14.0~),
               libkf6itemmodels-dev (>= 6.14.0~),
               libkf6widgetsaddons-dev (>= 6.14.0~),
               libqgpgmeqt6-dev (>= 1.23.2~),
               libxkbcommon-dev,
               pkgconf,
               qt6-base-dev (>= 6.7.0~),
Standards-Version: 4.7.2
Homepage: https://invent.kde.org/pim/libkleo
Vcs-Browser: https://salsa.debian.org/qt-kde-team/kde/libkleo
Vcs-Git: https://salsa.debian.org/qt-kde-team/kde/libkleo.git
Rules-Requires-Root: no

Package: libkleo-data
Architecture: all
Multi-Arch: foreign
Depends: ${misc:Depends},
Breaks: libkf5libkleo-data,
Replaces: libkf5libkleo-data,
Description: KDE PIM cryptographic library, data files
 This package contains the data files used by libkleo, a library for Kleopatra
 and other parts of KDE using certificate-based crypto.
 .
 This package is part of the KDE PIM module.

Package: libkleo-dev
Section: libdevel
Architecture: any
Multi-Arch: same
Depends: libgpgme-dev (>= 1.21.0~),
         libkpim6libkleo6 (= ${binary:Version}),
         libqgpgmeqt6-dev (>= 1.23.2~),
         qt6-base-dev (>= 6.7.0~),
         ${misc:Depends},
Description: KDE PIM cryptographic library, devel files
 This package contains the development files for libkleo, a library for
 Kleopatra and other parts of KDE using certificate-based crypto.
 .
 This package is part of the KDE PIM module.

Package: libkpim6libkleo6
Provides: ${ABI:VirtualPackage},
Architecture: any
Multi-Arch: same
Depends: libkleo-data (= ${source:Version}),
         ${misc:Depends},
         ${shlibs:Depends},
Breaks: libkf5libkleo5,
Replaces: libkf5libkleo5,
Description: KDE PIM cryptographic library
 This package contains libkleo, a library for Kleopatra and other parts of KDE
 using certificate-based crypto.
 .
 This package is part of the KDE PIM module.
